[![Build Status](https://travis-ci.org/twasyl/jstackfx.svg?branch=master)](https://travis-ci.org/twasyl/jstackfx)

# Context

It is not an easy task to analyse thread dumps as files generated by the `jstack` tool provides raw _text files_.
This is why I'm developing **JStackFX**.

# Requirements

JStackFX requires the latest JDK 8 available on your system.

# Build

As JStackFX is currently under development, you can build it manually in order to have the latest version. In order to build it, ensure the JDK 8 is available and execute the following command:

```shell
gradlew clean assemble
```

# Execution

In order to start JStackFX, unzip the `build/distributions/JStackFX-<version>.zip` archive and start a command line within the unzipped folder. Execute the following command:

```shell
java -jar jstackfx-<version>.jar
```

In order to start JStackFX and open directly a dump file you can use the following command:

```shell
java -jar jstackfx-<version>.jar --file=/path/to/dump.txt
```

In order to start JStackFX and make a thread dump of a given process you can use the following command:

```shell
java -jar jstackfx-<version>.jar --pid=<pid of the process to dump>
```

**Warning:** if both `--pid` and `--file` parameters are used, `--file` is ignored.

# Screenshot

![Screenshot of JStackFX](src/site/screenshots/JStackFX_01.png)
![Screenshot of JStackFX](src/site/screenshots/JStackFX_02.png)
